Page MenuHomePhabricator

textlib.replaceExcept() may hang or cause an infinite loop
Closed, InvalidPublic

Description

In some circumstances pywikibot.replaceExcept() may hang or have an infinite loop. Neigher keyboard interrupt nor any other event works anymore an the workstation must be restarted. Maybe this is caused by a malformed undetected regex. On the otherhand any interrupt should be possible to kill the task.

I found this on compat, maybe it is also the same problem in core.


Version: compat-(1.0)
Severity: minor

Details

Reference
bz61996

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:00 AM
bzimport added a project: Pywikibot-textlib.py.
bzimport set Reference to bz61996.
bzimport added a subscriber: Unknown Object (????).
Xqt created this task.Feb 27 2014, 1:39 PM
jayvdb set Security to None.
jayvdb added a project: Pywikibot-tests.
jayvdb moved this task from Backlog to New tests needed on the Pywikibot-tests board.
jayvdb removed a subscriber: Unknown Object (????).
Xqt added a comment.Mar 13 2017, 5:27 PM

I am unsure whether this is (still) valid for core. Never found it again for years.

Xqt closed this task as Invalid.Jun 30 2017, 12:37 PM

Seems fixed anyway